Subject: bug#48376: Failure in "guix pull"

From: Konrad Hinsen <[email-masked]>
Date: Sun, 16 May 2021 10:30:31 +0200

Hi Maxim,

Thanks for your reply!

> Indeed.  I note that the error message that leads to a request to the
> bug report mention it could be due to a network failure, which could
> explain the transient nature of the problem we see here.
>
> Had you tried multiple times in a row with the same failure on that
> commit?

Yes, I tried again later on two different machines, without any problem.

The reason I submitted a bug report is because Guix told me so. I
assumed that even if the root cause was a network issue, something had
then happened that shouldn't happen. If that's not the case, then the
error message should be improved. A minimal improvement would be to say
"Please report unless you see a comment about networking issues above.".

Cheers,
  Konrad.